#!/usr/bin/env python
#
# This file is part of A Musical Adventure
# Author(s): Kelley Stidolph, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# A Musical Adventure is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# A Musical Adventure is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with A Musical Adventure.  If not, see <http://www.gnu.org/licenses/>.

import sys, pygame
from Room import *

class Game(Room):
	
	def __init__(self):
		Room.__init__(self)
		self.OnSuccess = ""
		self.OnFailure = ""
		
	def Initialize(self, screen, textArea):
		Room.Initialize(self, screen, textArea)
		self.NextLineY += 10
		
	def Load(self, attrs):
		Room.Load(self, attrs)
		for attrName in attrs.keys():
			value = attrs.get(attrName)
			if attrName=="OnSuccess":
				self.OnSuccess = value
			elif attrName=="OnFailure":
				self.OnFailure = value
		
	def Draw(self, screen, textArea):
		# Do the drawing
		Room.Draw(self, screen, textArea)
		
	# Called for a Key Press
	# return True if redraw required or room change
	# return False if no change
	def OnKeyDown(self, unicode, key, mod):
		#Key has been pressed
		return Room.OnKeyDown(self, unicode, key, mod)
	
	# Called for a Key Release
	# return True if redraw required or room change
	# return False if no change
	def OnKeyUp(self, key, mod):
		#Key has been release
		return Room.OnKeyUp(self, unicode, key, mod)
		
	# Called when the mouse moves
	# return True if redraw required or room change
	# return False if no change
	def OnMouseMove(self, pos, rel, buttons):
		#Mouse has been moved
		print "OnMouseMove x=%d y=%d" % pos
		return False
	
	# Called for a mouse button pressed
	# return True if redraw required or room change
	# return False if no change
	def OnMouseButtonDown(self, pos, button):
		print 'MouseButtonDown (%d,%d)' % pos
		return False
		
	# Called for a mouse button release
	# return True if redraw required or room change
	# return False if no change
	def OnMouseButtonUp(self, pos, button):
		#Mouse button up
		print 'OnMouseButtonUp (%d,%d)' % pos
		return False
		
	def GetNextRoom(self):
		return self.NextRoom

	def OnEnter(self, lastRoomName):
		self.NextRoom = self.Name
		Room.OnEnter(self, lastRoomName)
		
	def OnExit(self, nextRoomName):
		Room.OnExit(self, nextRoomName)
	
	
