#!/usr/bin/env python
#
# This file is part of A Musical Adventure
# Author(s): Kelley Stidolph, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# A Musical Adventure is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# A Musical Adventure is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with A Musical Adventure.  If not, see <http://www.gnu.org/licenses/>.

import string, pygame

class GameFont:

	def __init__(self):
		self.FontName = "Arial"
		self.FontSize = 20
		self.FontColor = (0,0,0)
		self.FontBold = False
		self.FontItalic = False
		self.Font = None
		
	def Load(self, attrs):
		for name in attrs.keys():
			value = attrs.get(name)
			if (name == 'FontName'):
				self.FontName = value
			elif (name == 'FontSize'):
				self.FontSize = eval(value)
			elif (name == 'FontColor'):
				self.FontColor = eval(value)
			elif (name == 'FontBold'):
				self.FontBold = eval(value)
			elif (name == 'FontItalic'):
				self.FontItalic = eval(value)
				
	def Create(self):
		path = pygame.font.match_font(self.FontName, self.FontBold, self.FontItalic)
		if path != "":
			self.Font = pygame.font.Font(path,self.FontSize)
			
	def GetSize(self, text):
		return self.Font.size(text)
		
	def Render(self, text, surface, pos):
		fontSurface = self.Font.render(text, 1, self.FontColor)
		surface.blit(surface, pos)
		
