#!/usr/bin/env python
#
# This file is part of A Musical Adventure
# Author(s): Kelley Stidolph, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# A Musical Adventure is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# A Musical Adventure is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with A Musical Adventure.  If not, see <http://www.gnu.org/licenses/>.

import string, pygame

class Option:
	
	def __init__(self):
		self.Clear()
		
	def Clear(self):
		self.Key = ""
		self.Icon = ""
		self.Text = ""
		self.Room = ""
		self.fontColor = (0,0,0)
		self.TextArea = pygame.Rect(0,0,0,0)
		
	def Load(self, attrs):
		for attrName in attrs.keys():
			value = attrs.get(attrName)
			if attrName=="Key":
				self.Key = value
			elif attrName == "Icon":
				self.Icon = value
			elif attrName == "Text":
				self.Text = value
			elif attrName == "Room":
				self.Room = value
			elif attrName == "FontColor":
				if value == "black":
					self.fontColor = (0,0,0)
				elif value == "white":
					self.fontColor = (255,255,255)
				elif value == "yellow":
					self.fontColor = (255,255,0)
				elif value == "blue":
					self.fontColor = (0,0,255)
				elif value == "green":
					self.fontColor = (0,255,0)
				elif value == "red":
					self.fontColor = (255,0,0)
				elif value == "grey":
					self.fontColor = (192,192,192)
				else:
					print "Uknown color name" + value

	def Dump(self):
		print "Option"
		print "Key:  " + self.Key
		print "Icon: " + self.Icon
		print "Text: " + self.Text
		print "Room: " + self.Room
		
	def Initialize(self, font, y):
		text = self.Text
		if text=="":
			text = " "
		surface = font.render(text, 1, self.fontColor)
		self.TextArea = surface.get_rect()
		self.TextArea.move_ip(0,y)
		y += self.TextArea.height
		return self.TextArea.width
		
	def Draw(self, screen, font):
		surface = font.render(self.Text, 1, self.fontColor)
		screen.blit(surface, self.TextArea)
		
